
Katello - Feature #6040

Add Katello view permissions to foreman "Viewer" role

06/03/2014 03:31 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Hosts   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112719 Red Hat JIRA:  

Pull request:    

Description

We should add our own permissions to the foreman "Viewer" role such that they are applied if someone assigns that role to a user.

Related issues:

Related to Katello - Feature #5217: As a user, I should have CRUD permissions... Closed 04/16/2014

Associated revisions

Revision b283df7e - 06/03/2014 04:00 PM - Walden Raines

Fixes #6040, adding katello permissions to foreman "viewer" role.

Revision 8eb561e4 - 06/05/2014 01:26 PM - Walden Raines

Merge pull request #4205 from waldenraines/6040

Fixes #6040, adding katello permissions to foreman "viewer" role.

History

#1 - 06/03/2014 03:31 PM - Walden Raines

- Related to Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me. added

#2 - 06/03/2014 03:32 PM - Walden Raines

- Target version set to 48

#3 - 06/03/2014 03:33 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

- Target version changed from 48 to 45

https://github.com/Katello/katello/pull/4205

#4 - 06/05/2014 03:41 AM - Eric Helms

- Triaged changed from No to Yes

#5 - 06/05/2014 03:42 AM - Eric Helms

- Category set to 83

#6 - 06/05/2014 01:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:b283df7e8882a4430990124d922f0d59e8d34ca6.

#7 - 06/24/2014 02:41 PM - Walden Raines
https://github.com/Katello/katello/pull/4205


- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112719

#8 - 08/22/2014 08:29 AM - Eric Helms

- translation missing: en.field_release set to 13
